package com.keao.edu.im.controller;

import com.keao.edu.im.service.UserService;
import io.rong.models.group.GroupModel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by weiqinxiao on 2019/2/25.
 */
@RestController
@RequestMapping("/muteGroups")
public class MuteGroupsController {

    @Autowired
    UserService userService;

    @RequestMapping(value = "/add", method = RequestMethod.POST)
    public Object add(@RequestBody GroupModel groupModel) throws Exception {
        return userService.muteGroupsAdd(groupModel);
    }

    @RequestMapping(value = "/remove", method = RequestMethod.POST)
    public Object remove(@RequestBody GroupModel groupModel) throws Exception {
        return userService.muteGroupsRemove(groupModel);
    }

    @RequestMapping(value = "/getList", method = RequestMethod.POST)
    public Object getList() throws Exception {
        return userService.muteGroupsGetList();
    }
}
